Bug 55867 - 7.1 installer failure (after repeated attempts)
7.1 installer failure (after repeated attempts)
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-07 17:26 EST by rich lassiter
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-19 14:32:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
system state report (14.62 KB, text/plain)
2001-11-07 17:28 EST, rich lassiter
no flags Details

  None (edit)
Description rich lassiter 2001-11-07 17:26:32 EST
Description of Problem:

I have been trying to install redhat 7.1 on my Pentium200 class system for 
many days, and it invariably fails during part of the install.  I now have 
an error message which I am instructed to report to bugzilla.redhat, and 
so I am following directions.  Sometimes the failure occurs as anaconda 
begins to run, sometimes later in the process. Twice it has occured while 
partitioning the swap file, and this is the third occurance where I have 
been instructed to 'save to disk and report.'  I thought maybe I should 
listen this time.

Version-Release number of selected component (if applicable):

How Reproducible:
after ~15 tries, have never completed the installation process.

Steps to Reproduce:
1. insert 7.1 CD.  turn on computer. ;)
2. install fails both in and out of text mode, but text seems to proceed 
father, more regularly.

Actual Results:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 769, in 
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 17, in 
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 542, in 
    self.readCompsFile(file, self.packages)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 409, in 
    file = urllib.urlopen(filename)
  File "/usr/lib/python1.5/site-packages/urllib.py", line 59, in urlopen
    return _urlopener.open(url)
  File "/usr/lib/python1.5/site-packages/urllib.py", line 159, in open
    return getattr(self, name)(url)
  File "/usr/lib/python1.5/site-packages/urllib.py", line 330, in open_file
    return self.open_local_file(url)
  File "/usr/lib/python1.5/site-packages/urllib.py", line 334, in 
    import mimetypes, mimetools, StringIO
  File "/usr/lib/python1.5/site-packages/mimetools.py", line 5, in ?
    import rfc822
EOFError: EOF read where object expected

Expected Results:

Additional Information:
I will attach the 'system state' that was printed.
Comment 1 rich lassiter 2001-11-07 17:28:03 EST
Created attachment 36801 [details]
system state report
Comment 2 Brent Fox 2001-11-08 12:01:47 EST
Are you sure that the cd's are good?  Random failures are almost always due to
bad cd's or flaky hardware.  Did you check the md5sums of the ISOs?
Comment 3 rich lassiter 2001-11-08 12:23:20 EST
I do not know how to check the md5sums, but I will check if someone tells me.
I burned the CDs from iso's that I d/l'd from the redhat ftp site.  I do have 2 
HDs in the computer, one is 2 GB that I wanted to install Linux on (and in 
fact, had a successful 5.2 redhat on there, but hadn't played with it much, so 
I decided to put on 7.1 before I 'really got into Linux') and the other is an 8 
GB WIN drive that I didn't want to format b/c it has a lot of mp3s that I still 
want access to.  Could this unformatted WIN32 drive be throwing a wrench in the 
works?  Last night I thought I should try an install without that drive 
connected, to see if it succeeded.
Comment 4 Brent Fox 2001-11-08 16:16:16 EST
The Win partition shouldn't cause the install to fail.  Is the machine with the
ISOs on it a Linux machine or a Windows machine?  I can tell you how to check
the md5sums on either one, but the procedure is a little different depending on
which OS you run.
Comment 5 rich lassiter 2001-11-08 20:46:26 EST
the isos are on my WinME machine, to which I moved the MP3 drive earlier today 
(I don't know why I didn't consider that before), but moving that drive off the 
linux box has not helped the 7.1 install procedure.
Comment 6 Brent Fox 2001-11-08 23:15:42 EST
Ok, if you are on a Windows machine, go to
http://download.cnet.com/downloads/0-10096-100-5902737.html and download
md5sumer.  You can use that program to check the md5sums of the ISO images.  The
values should match the values in the MD5SUM file on the ftp sites.  For 7.1,
the vaules are:
596b1575773e88e066326f6741312a6f  seawolf-i386-disc1.iso
f27b912299572a542cd663b712444445  seawolf-i386-disc2.iso

If the numbers you get don't match those, then something got mixed up during the
download.  Does that help?
Comment 7 Brent Fox 2001-11-19 14:32:47 EST
Any more info here?
Comment 8 Brent Fox 2001-12-01 22:23:04 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.